ProjectionLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Interface ProjectionLoader

All Known Implementing Classes:
  BasicProjectionLoader, CADRGLoader, CartesianLoader, GnomonicLoader, LambertConformalLoader, LLXYLoader, MercatorLoader, OrthographicLoader, UTMProjectionLoader

    public interface ProjectionLoader

A ProjectionLoader is a class that knows how to create projection classes for given parameters. The ProjectionFactory used to have projection classes hard-coded into it, but it now uses ProjectionLoaders to create different projections for it. It can provide the Class to use for a certain projection, and can provide a name and description to use for GUIs. The ProjectionFactory looks for these in the MapHandler.

See Also:
  `ProjectionFactory`, `BasicProjectionLoader`

Method Summary
`Projection` | `create(java.util.Properties props)` Create the projection with the given parameters.
`java.lang.String` | `getDescription()` Get a description for the projection.
`java.lang.String` | `getPrettyName()` Get a pretty name for the projection.
`java.lang.Class<? extends Projection>` | `getProjectionClass()` Get a class name to use for the projection.

Method Detail

### getProjectionClass

    java.lang.Class<? extends Projection> getProjectionClass()

  Get a class name to use for the projection. This will be used as a key in the projection factory.

### getPrettyName

    java.lang.String getPrettyName()

  Get a pretty name for the projection.

### getDescription

    java.lang.String getDescription()

  Get a description for the projection.

### create

    Projection create(java.util.Properties props)
                      throws ProjectionException

  Create the projection with the given parameters.

  Throws:
    `ProjectionException` - if a parameter is missing or invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details